Hello, I’m currently working on a way to create small rectangles (windows) using ‘msg box’ in large rectangles (walls). However, I am concerned that the wall is created regardless of the verticality of the x, y, and z axes, so I want the point or edge to be created in the direction of the plane to be created. Referring to some cases, it was confirmed that points can be created in the direction (normal) of the face through Geom::Vector3d.new(face.normal). Is there any way to create it in the same direction as this?
It is certainly possible to draw edges in a given face. But unlike the unique normal vector to the face, there is an infinite number of directions in the face that the new edge could be oriented. You need to somehow choose between these directions. At that stage, creating the edge is much the same as you used to draw along the normal vector.